"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const mongoose = require("mongoose");
const consts_1 = require("../consts/consts");
// mongoose.set('debug', true);
mongoose.connection.on('connected', () => {
    console.log('Mongoose connected');
});
mongoose.connection.on('error', (err) => {
    console.log('Mongoose connection error: ', err);
});
mongoose.connection.on('disconnected', () => {
    console.log('Mongoose disconnected');
});
exports.dbConnect = () => mongoose.connect(consts_1.DB_URL, { useNewUrlParser: true })
    .then(() => mongoose.connection);
