import { Response, NextFunction } from 'express';
import { QuizItemAdmin } from 'ngrx-quiz-common';
import { ApiRequest } from '../../api/api-request';
import { AdminQuizItemRepo } from './admin-quiz-item-repo';
export declare class AdminQuizItemController {
    private repo;
    constructor(repo: AdminQuizItemRepo);
    getItem(req: ApiRequest, res: Response, next: NextFunction): Promise<QuizItemAdmin>;
    createItem(req: ApiRequest, res: Response, next: NextFunction): Promise<QuizItemAdmin>;
    updateItem(req: ApiRequest, res: Response, next: NextFunction): Promise<QuizItemAdmin>;
    deleteItem(req: ApiRequest, res: Response, next: NextFunction): Promise<void>;
    updateQuizItemsOrder(req: ApiRequest, res: Response, next: NextFunction): Promise<void>;
}
