import { QuizMetaAdmin, QuizMetaBasic, User, QuizMetaListItem } from 'ngrx-quiz-common';
export declare class AdminQuizRepo {
    getQuizList(user: User): Promise<QuizMetaListItem[]>;
    private getQuizMatchCriteria;
    getQuiz(quizId: string, user: User): Promise<QuizMetaAdmin>;
    createQuiz(quiz: QuizMetaBasic, user: User): Promise<QuizMetaAdmin>;
    deleteQuiz(quizId: string, user: User): Promise<void>;
    updateQuiz(quizId: string, quiz: QuizMetaBasic, user: User): Promise<QuizMetaAdmin>;
    publishQuiz(quizId: string, user: User): Promise<boolean>;
    unpublishQuiz(quizId: string, user: User): Promise<boolean>;
}
