import * as mongoose from 'mongoose';
export interface QuizDoc {
    name: string;
    shortName: string;
    description: string;
    descriptionFull: string;
    randomizeItems: boolean;
    userId: string;
    published: boolean;
    public: boolean;
}
export interface QuizMongooseDoc extends QuizDoc, mongoose.Document {
}
export declare const QuizSchema: mongoose.Schema<any>;
export declare const QuizModel: mongoose.Model<QuizMongooseDoc, {}>;
