import { Response, NextFunction } from 'express';
import { TopScore, QuizScore } from 'ngrx-quiz-common';
import { ApiRequest } from '../../api/api-request';
import { ScoreRepo } from '../score/score-repo';
export declare class ScoreController {
    private repo;
    constructor(repo: ScoreRepo);
    getTopScores(req: ApiRequest, res: Response, next: NextFunction): Promise<TopScore[]>;
    getQuizScore(req: ApiRequest, res: Response, next: NextFunction): Promise<QuizScore>;
    getQuizScoreStats(req: ApiRequest, res: Response, next: NextFunction): Promise<number[]>;
}
