import { Request } from 'express';
import { User } from 'ngrx-quiz-common';
import { TokenData } from './token-data';
export declare class TokenUtils {
    private constructor();
    static createUserToken(user: User): string;
    static parseFromRequest(req: Request): string;
    private static verifyCallback;
    static verify(token: string): Promise<TokenData>;
    static verifyIgnoringExpiration(token: string): Promise<TokenData>;
}
