import { QuizItemAdmin } from 'ngrx-quiz-common';
export declare class AdminQuizItemRepo {
    getItem(itemId: string): Promise<QuizItemAdmin>;
    createItem(quizId: string, item: QuizItemAdmin): Promise<QuizItemAdmin>;
    updateItem(itemId: string, item: QuizItemAdmin): Promise<QuizItemAdmin>;
    deleteItem(itemId: string): Promise<void>;
    updateQuizItemsOrder(quizId: string, itemIds: string[]): Promise<void>;
}
