import { UserWithPassword, User } from 'ngrx-quiz-common';
import { UserDocMongoose } from './user-model';
export declare class AuthRepo {
    private findUser;
    getUser(email: string, social?: string): Promise<UserWithPassword>;
    createUser(user: UserWithPassword): Promise<User>;
    upsertPasswordToken(email: string, token: string): Promise<UserWithPassword>;
    updatePassword(token: string, password: string): Promise<UserDocMongoose>;
}
