import * as mongoose from 'mongoose';
export interface UserDoc {
    fullName: string;
    email: string;
    password: string;
    admin: boolean;
    social: string;
    anonymous: boolean;
}
export interface UserDocMongoose extends UserDoc, mongoose.Document {
}
export declare function hashPassword(pass: string): string;
export declare const UserModel: mongoose.Model<UserDocMongoose, {}>;
