import { Response, NextFunction } from 'express';
import { Comment } from 'ngrx-quiz-common';
import { ApiRequest } from '../../api/api-request';
import { CommentRepo } from './item-comment-repo';
export declare class CommentController {
    private repo;
    constructor(repo: CommentRepo);
    getComments(req: ApiRequest, res: Response, next: NextFunction): Promise<Comment[]>;
    addComment(req: ApiRequest, res: Response, next: NextFunction): Promise<Comment>;
}
