import * as mongoose from 'mongoose';
import { Comment } from 'ngrx-quiz-common';
import { ItemCommentDoc, ItemCommentMongooseDoc } from './item-comment-model';
export declare class CommentRepo {
    aggregateComments(matchQuery: any, offset?: number): mongoose.Aggregate<ItemCommentMongooseDoc[]>;
    getComments(itemId: string, offset: number): Promise<Comment[]>;
    getComment(id: string): Promise<Comment>;
    addComment(comment: ItemCommentDoc): Promise<Comment>;
}
