"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const mail_result_model_1 = require("./mail-result-model");
class MailResultRepo {
    static insertMailResult(userId, mailResult) {
        return mail_result_model_1.MailResultModel.create({
            userId,
            result: mailResult
        }).then(() => true);
    }
}
exports.MailResultRepo = MailResultRepo;
