import { Request, Response, NextFunction } from 'express';
import { TokenRepo } from '../token/token-repo';
import { AuthRepo } from '../auth/auth-repo';
export declare class OAuthController {
    private tokenRepo;
    private authRepo;
    constructor(tokenRepo: TokenRepo, authRepo: AuthRepo);
    private getBaseUrl;
    google(req: Request, res: Response, next: NextFunction): null;
    github(req: Request, res: Response, next: NextFunction): null;
    private createUser;
}
