import * as mongoose from 'mongoose';
import { QuizItemChoiceDoc } from './quiz-item-choice-model';
export interface QuizItemDoc {
    quizId: mongoose.Types.ObjectId;
    question: string;
    randomizeChoices: boolean;
    singleChoice: boolean;
    choices: QuizItemChoiceDoc[];
    order: number;
    counter: number;
}
export interface QuizItemMongooseDoc extends QuizItemDoc, mongoose.Document {
}
export declare const QuizItemSchema: mongoose.Schema<any>;
export declare const QuizItemModel: mongoose.Model<QuizItemMongooseDoc, {}>;
