import { Response, NextFunction } from 'express';
import { QuizMeta, QuizMetaListItem } from 'ngrx-quiz-common';
import { ApiRequest } from '../../api/api-request';
import { ClientQuizState } from '../../state/quiz-state';
import { QuizRepo } from './quiz-repo';
export declare class QuizController {
    private repo;
    constructor(repo: QuizRepo);
    getQuizList(req: ApiRequest, res: Response, next: NextFunction): Promise<QuizMetaListItem[]>;
    getQuiz(req: ApiRequest, res: Response, next: NextFunction): Promise<QuizMeta & ClientQuizState>;
    resetQuizState(req: ApiRequest, res: Response, next: NextFunction): Promise<void>;
}
