import * as mongoose from 'mongoose';
export interface QuizScoreDoc {
    quizId: mongoose.Types.ObjectId;
    userId: mongoose.Types.ObjectId;
    sessionId: string;
    score: number;
    createdAt?: Date;
}
export interface QuizScoreMongooseDoc extends QuizScoreDoc, mongoose.Document {
}
export declare const QuizScoreSchema: mongoose.Schema<any>;
export declare const QuizScoreModel: mongoose.Model<QuizScoreMongooseDoc, {}>;
