import { TopScore, QuizPosition } from 'ngrx-quiz-common';
import { QuizScoreDoc } from './score-model';
export declare class ScoreRepo {
    saveScore(quizScore: QuizScoreDoc): Promise<string>;
    getTopScores(quizId: string): Promise<TopScore[]>;
    getQuizPosition(quizId: string, score: number): Promise<QuizPosition>;
    getQuizScoreStats(quizId: string, totalQuestions: number): Promise<number[]>;
}
