import * as mongoose from 'mongoose';
export interface GoogleTokenInfo {
    name: string;
    email: string;
    picture: string;
}
export interface GitHubTokenInfo {
    name: string;
    login: string;
    location: string;
    email: string;
    bio: string;
}
export declare enum OAuthType {
    GOOGLE = "google",
    GITHUB = "github"
}
export interface OAuthToken {
    token: {
        [key: string]: any;
    };
}
export interface OAuthTokenMongooseDoc extends OAuthToken, mongoose.Document {
}
export declare const OAuthTokenModel: mongoose.Model<OAuthTokenMongooseDoc, {}>;
