"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const mongoose = require("mongoose");
var OAuthType;
(function (OAuthType) {
    OAuthType["GOOGLE"] = "google";
    OAuthType["GITHUB"] = "github";
})(OAuthType = exports.OAuthType || (exports.OAuthType = {}));
// tslint:disable-next-line variable-name
const OAuthTokenSchema = new mongoose.Schema({
    token: {
        type: mongoose.SchemaTypes.Mixed,
        maxlength: 8192,
        required: true
    }
}, {
    timestamps: true
});
// tslint:disable-next-line variable-name
exports.OAuthTokenModel = mongoose.model('OAuthToken', OAuthTokenSchema);
