import { User } from 'ngrx-quiz-common';
import { GitHubTokenInfo, GoogleTokenInfo, OAuthType } from './oauth-token-model';
export declare class TokenRepo {
    exists(userId: string, token: string): Promise<boolean>;
    storeUserToken(userId: string, token: string): Promise<boolean>;
    removeUserToken(userId: string): Promise<boolean>;
    storeOauthToken(tokenInfo: GitHubTokenInfo | GoogleTokenInfo, social: OAuthType): Promise<User>;
}
